Recent

Author Topic: Can't install new packages or component files in 0.9.29/2.4.1  (Read 8861 times)

polypress

  • Jr. Member
  • **
  • Posts: 91
Can't install new packages or component files in 0.9.29/2.4.1
« on: February 16, 2010, 10:52:38 am »
I cannot install either complete packages (*.lpk) or individual component files (via Add active unit to a package) into Lazarus 0.9.29 fpc 2.4.1. I have done so successfully in earlier versions (0.9.26/2.2.2), but the new version will not accept them on recompiling the packages. Errors such as "Can't find unit Unix used by FileProcs" stop the compilation, even though unit unix.pp appears in the fpc source directory (via subdirectory rtl\Unix). I have tried putting more specific search paths directly to the Unix directory, but it still can't find the unix unit, and won't allow more than one search directory.

It all works OK with the earlier version (and with the same unix.pp file in the same subdirectory), so what am I doing wrong?

Regards

polypress

  • Jr. Member
  • **
  • Posts: 91
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #1 on: February 16, 2010, 11:57:09 am »
In addition to the problems given in the previous post, the component installer will not recognise the Control, Forms, Dialog units.

I am sure it is all to do with search paths, so if anyone can give references to this subject in this context, it would be gratefully received.

Regards
polypress

tatamata

  • Hero Member
  • *****
  • Posts: 694
    • ZMSQL - SQL enhanced in-memory database
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #2 on: April 10, 2010, 12:24:15 pm »
Me too have problems to install any additional component that is not included by default in win32 setup executable.
I always get errors such 'Unable to find file """" '.
And something like:
Error: C:\lazarus\fpc\2.4.1\bin\i386-win32\ppc386.exe can't be executed, error message: Failed to execute ""C:\lazarus\fpc\2.4.1\bin\i386-win32\ppc386.exe"  -B -MObjFPC -Scgi -O1 -gl -vewnhi -l -FiC:\lazarus\components\printers\unix\ -FiC:\lazarus\components\printers\win32\ -FiC:\lazarus\components\printers\carbon\ -FiC:\lazarus\components\printers\qt\ -FuC:\lazarus\components\printers\unix\ -FuC:\lazarus\components\printers\win32\ -FuC:\lazarus\components\printers\carbon\ -FuC:\lazarus\components\printers\qt\ -FuC:\lazarus\lcl\units\i386-win32\ -FuC:\lazarus\lcl\units\i386-win32\win32\ -FuC:\lazarus\packager\units\i386-win32\ -FuC:\lazarus\components\printers\ -Fu. -FUC:\lazarus\components\printers\lib\i386-win32\win32\ -dUseCache -dNativePrint -dLCL -dLCLwin32 printer4lazarus.pas

In fact, I can't install any component...

marcov

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 7864
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #3 on: April 10, 2010, 04:43:40 pm »
Start with removing all unit paths into the FPC source. That is asking for trouble.


tatamata

  • Hero Member
  • *****
  • Posts: 694
    • ZMSQL - SQL enhanced in-memory database
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #4 on: April 10, 2010, 05:13:08 pm »
OK, I shoudl try to install it clear.
How to remove everything from the Windows OS concerning my current Lazarus/FPC installation?
It seems that even if I delet the whole lazarus folder, when I install it again, it remembers my previous installation configuration...

JohnvdWaeter

  • Full Member
  • ***
  • Posts: 168
    • http://www.jvdw.nl
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #5 on: April 11, 2010, 12:51:07 pm »
lazarus stores config info in the current users homedir (/Appdata/local/lazarus) (under Vista, path differs on other OS's. This Appdata is usually a hidden dir.

If you cant find the files , do asearch on one of the configfiles, e.g. environmentoptions.xml

If you want a new, clean installation of Lazarus, I guess you have to delete this configfiles.

John







luk2009

  • Jr. Member
  • **
  • Posts: 50

JD

  • Hero Member
  • *****
  • Posts: 1767
Re: Can't install new packages or component files in 0.9.29/2.4.1
« Reply #7 on: April 27, 2010, 09:39:01 pm »
I cannot install either complete packages (*.lpk) or individual component files (via Add active unit to a package) into Lazarus 0.9.29 fpc 2.4.1. I have done so successfully in earlier versions (0.9.26/2.2.2), but the new version will not accept them on recompiling the packages. Errors such as "Can't find unit Unix used by FileProcs" stop the compilation, even though unit unix.pp appears in the fpc source directory (via subdirectory rtl\Unix). I have tried putting more specific search paths directly to the Unix directory, but it still can't find the unix unit, and won't allow more than one search directory.

It all works OK with the earlier version (and with the same unix.pp file in the same subdirectory), so what am I doing wrong?

Welcome to the club. In fact my Lazarus installation has gone totally awry. I can no longer develop in Lazarus & I'm waiting until something is done about this installation problem.

In the meantime, I spend my development time using Eclipse to write Java applications. 
:(  :(   :(
Windows (10, 7) - Lazarus 2.0.6/FPC 3.2, Delphi

Indy 10.6 series; mORMot; Zeos 7.3; SQLite, Firebird, PostgreSQL & MariaDB; VirtualTreeView 5.5.3 R1